Subject: Re: why does promote_secondaries default to off?

From: Daniel Lezcano <[email-masked]>
Date: Fri, 11 Jan 2008 18:33:23 +0100

martin f krafft wrote:
> also sprach Daniel Lezcano <[email-masked]> [2008.01.11.1813 +0100]:
>> There is a tweak in /proc/sys which activate secondaries promotion when a 
>> primary is deleted.
>>
>> /proc/sys/net/ipv4/conf/all/promote_secondaries
>>
>> I think it changes the behavior to the one you wish.
> 
> Totally. That would have been the last place I had looked.
> Thank you!
> 
> Do you have any idea why this isn't on by default?

This tweak is "recent" (2.6.16 as far as I remember), so I suppose the 
reason is to not puzzled people with a changed default behavior.